<?php
if (!defined('ABSPATH')) {
    die('Page not found');
}

$table  = $wpdb->prefix . 'wpg_logs';
$count  = $wpdb->get_var("SELECT COUNT(*) FROM $table");
$table2 = $wpdb->prefix . 'wpg_bans';
$count2 = $wpdb->get_var("SELECT COUNT(*) FROM $table2");
?>
<h1>WP Guard - <?php
echo esc_html($pagetitle);
?></h1>
	<div id="welcome-panelwpg" class="welcome-panelwpg wpanelbg">
        <div class="welcome-panel-contentwpg">
            <center><br /><p>
                <a href="admin.php?page=wpguard" class="btn btn-app btn-primary">
                    <i class="fas fa-home fa-2x"></i> <?php
echo esc_html__("Dashboard", "wpguard-text");
?>
                </a>
				<a href="admin.php?page=wpguard-settings" class="btn btn-app btn-primary">
                    <i class="fas fa-cogs fa-2x"></i> <?php
echo esc_html__("Settings", "wpguard-text");
?>
                </a>
				<a href="admin.php?page=wpguard-modules" class="btn btn-app btn-primary">
                    <i class="fas fa-shield-alt fa-2x"></i> <?php
echo esc_html__("Protection Modules", "wpguard-text");
?>
                </a>
				<a href="admin.php?page=wpguard-logs" class="btn btn-app btn-primary">
				    <span class="badge bg-primary"><?php
echo esc_html($count);
?></span>
                    <i class="fas fa-align-justify fa-2x"></i> <?php
echo esc_html__("Logs", "wpguard-text");
?>
                </a>
				<a href="admin.php?page=wpguard-bans" class="btn btn-app btn-primary">
				    <span class="badge bg-danger"><?php
echo esc_html($count2);
?></span>
                    <i class="fas fa-ban fa-2x"></i> <?php
echo esc_html__("Bans", "wpguard-text");
?>
                </a>
				<a href="admin.php?page=wpguard-whitelist" class="btn btn-app btn-primary">
                    <i class="fas fa-flag fa-2x"></i> <?php
echo esc_html__("Whitelist", "wpguard-text");
?>
                </a>
				<a href="edit.php?post_type=page&orderby=date&order=desc" class="btn btn-app btn-primary">
                    <i class="fas fa-file-alt fa-2x"></i> <?php
echo esc_html__("Warning Pages", "wpguard-text");
?>
                </a>
				<a href="admin.php?page=wpguard-seccheck" class="btn btn-app btn-primary">
                    <i class="fab fa-php fa-2x"></i> <?php
echo esc_html__("PHP Security Check", "wpguard-text");
?>
                </a>
				<a href="admin.php?page=wpguard-systeminfo" class="btn btn-app btn-primary">
                    <i class="fas fa-info-circle fa-2x"></i> <?php
echo esc_html__("System Information", "wpguard-text");
?>
                </a>
				<a href="admin.php?page=wpguard-analytics" class="btn btn-app btn-primary">
                    <i class="fas fa-chart-line fa-2x"></i> <?php
echo esc_html__("Visit Analytics", "wpguard-text");
?>
                </a>
				<a href="admin.php?page=wpguard-errormonitoring" class="btn btn-app btn-primary">
                    <i class="fas fa-exclamation-circle fa-2x"></i> <?php
echo esc_html__("Error Monitoring", "wpguard-text");
?>
                </a>
				<a href="admin.php?page=wpguard-hteditor" class="btn btn-app btn-primary">
                    <i class="fas fa-columns fa-2x"></i> <?php
echo esc_html__(".htaccess Editor", "wpguard-text");
?>
                </a>
				<a href="admin.php?page=wpguard-portscanner" class="btn btn-app btn-primary">
                    <i class="fas fa-search fa-2x"></i> <?php
echo esc_html__("Port Scanner", "wpguard-text");
?>
                </a>
				<a href="admin.php?page=wpguard-ipblacklistcheck" class="btn btn-app btn-primary">
                    <i class="fas fa-list fa-2x"></i> <?php
echo esc_html__("IP Blacklist Checker", "wpguard-text");
?>
                </a>
				<a href="admin.php?page=wpguard-hashing" class="btn btn-app btn-primary">
                    <i class="fas fa-lock fa-2x"></i> <?php
echo esc_html__("Hashing", "wpguard-text");
?>
                </a>
				<a href="admin.php?page=wpguard-loginhistory" class="btn btn-app btn-primary">
                    <i class="fas fa-history fa-2x"></i> <?php
echo esc_html__("Login History", "wpguard-text");
?>
                </a>
            </p></center>
        </div>
    </div>