<?php
if (!defined('ABSPATH')) {
    die('Page not found');
}

if (isset($_POST['save'])) {
    if (isset($_POST['mail_notifications'])) {
        $mail_notifications = 1;
    } else {
        $mail_notifications = 0;
    }
    
    update_option('wpg_mail_notifications', $mail_notifications);
    
    $redirectb  = sanitize_text_field($_POST['redirectb']);
    $redirectbc = sanitize_text_field($_POST['redirectbc']);
    $redirectbo = sanitize_text_field($_POST['redirectbo']);
    $redirectbb = sanitize_text_field($_POST['redirectbb']);
    $redirectbi = sanitize_text_field($_POST['redirectbi']);
    $redirectbr = sanitize_text_field($_POST['redirectbr']);
    
    update_option('wpg_banned_redirect', $redirectb);
    update_option('wpg_bannedc_redirect', $redirectbc);
    update_option('wpg_bannedo_redirect', $redirectbo);
    update_option('wpg_bannedb_redirect', $redirectbb);
    update_option('wpg_bannedi_redirect', $redirectbi);
    update_option('wpg_bannedr_redirect', $redirectbr);
}
?>
<div class="row">
                    
				<div class="col-md-12">
<form class="form-horizontal" method="post">
				    <div class="col-md-12 card card-dark">
						<div class="card-header">
							<h3 class="card-title"><i class="fas fa-cog"></i> <?php
echo esc_html__("Settings", "wpguard-text");
?></h3>
                            <div class="float-sm-right">
                                <button class="btn btn-flat btn-primary" name="save" type="submit"><?php
echo esc_html__("Save", "wpguard-text");
?></button>
                                <button type="reset" class="btn btn-flat btn-default"><?php
echo esc_html__("Reset", "wpguard-text");
?></button>
                            </div>
                        </div>
						<div class="card-body mx-auto col-md-12">
                                            <div class="form-group">
												<label class="control-label"><?php
echo esc_html__("Mail Notifications", "wpguard-text");
?></label><br />
														      <input type="checkbox" name="mail_notifications" class="psec-switch" <?php
if (get_option('wpg_mail_notifications') == 1) {
    echo 'checked';
}
?> />
												        </br> <?php
echo balanceTags("If this is <strong>Enabled</strong> you will receive notifications on your E-Mail Address", "wpguard-text");
?><br />
											</div><hr><br />
										<div class="form-group">
											<label class="control-label"><?php
echo esc_html__("\"Banned\" Page URL", "wpguard-text");
?>: </label>
											<div class="col-sm-12">
												<input name="redirectb" class="form-control" type="url" value="<?php
echo get_option('wpg_banned_redirect');
?>" required>
											</div>
										</div>
										<div class="form-group">
											<label class="control-label"><?php
echo esc_html__("\"Banned Country\" Page URL", "wpguard-text");
?>: </label>
											<div class="col-sm-12">
												<input name="redirectbc" class="form-control" type="url" value="<?php
echo get_option('wpg_bannedc_redirect');
?>" required>
											</div>
										</div>
										<div class="form-group">
											<label class="control-label"><?php
echo esc_html__("\"Banned OS\" Page URL", "wpguard-text");
?>: </label>
											<div class="col-sm-12">
												<input name="redirectbo" class="form-control" type="url" value="<?php
echo get_option('wpg_bannedo_redirect');
?>" required>
											</div>
										</div>
										<div class="form-group">
											<label class="control-label"><?php
echo esc_html__("\"Banned Browser\" Page URL", "wpguard-text");
?>: </label>
											<div class="col-sm-12">
												<input name="redirectbb" class="form-control" type="url" value="<?php
echo get_option('wpg_bannedb_redirect');
?>" required>
											</div>
										</div>
										<div class="form-group">
											<label class="control-label"><?php
echo esc_html__("\"Banned ISP\" Page URL", "wpguard-text");
?>: </label>
											<div class="col-sm-12">
												<input name="redirectbi" class="form-control" type="url" value="<?php
echo get_option('wpg_bannedi_redirect');
?>" required>
											</div>
										</div>
										<div class="form-group">
											<label class="control-label"><?php
echo esc_html__("\"Banned Referer\" Page URL", "wpguard-text");
?>: </label>
											<div class="col-sm-12">
												<input name="redirectbr" class="form-control" type="url" value="<?php
echo get_option('wpg_bannedr_redirect');
?>" required>
											</div>
										</div>
						</div>
                     </div>
					 </div>
</form>
</div>